Subject: Re: spitfire pix
From: "Steve Bamford ARC" <[email-masked]>
To: "Rowan, Richard M \(CNAP N421I2\)" <[email-masked]>
Date: Wed, 28 May 2003 08:21:26 -0700

----- Original Message -----
From: "Rowan, Richard M (CNAP N421I2)" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, May 01, 2003 9:46 AM
Subject: spitfire pix

> Sir, Attached are pictures of my Revell 1/32 MK I/II Spitfire for
submission
> in your model gallery section.  I am not able to work with the HTML
> templates so I just zipped them.  Additionally, I have attached a short
info
> sheet.  Thx for your consideration.
> Rich Rowan
>
>  <<REVELL SPITFIRE DESCRIPTION.doc>>  <<ARCSpitSubmit.zip>>
>